%define module_version 0.002
%define module_name Plack-Debugger-Panel-DBIC-QueryLog
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class/QueryLog.pm) perl(DBIx/Class/QueryLog/Analyzer.pm) perl(ExtUtils/MakeMaker.pm) perl(Plack.pm) perl(Plack/Debugger.pm) perl(Plack/Debugger/Panel.pm) perl(Plack/Middleware/DBIC/QueryLog.pm) perl(SQL/Abstract.pm) perl(Text/MicroTemplate.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: DBIC query log panel for Plack::Debugger
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYSPETE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides a DBIC QueryLog panel for the Plack::Debugger manpage with
query alaysis performed by the DBIx::Class::QueryLog::Analyzer manpage (by default).

For full details of how to setup the Catalyst manpage to use this panel and also for
a full background of the design of this module see
https://metacpan.org/pod/Plack::Middleware::Debug::DBIC::QueryLog
which this module steals heavily from.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

